Bug 322660 - Krita Crashed when opening MyPaint color selector
Summary: Krita Crashed when opening MyPaint color selector
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Kubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-21 19:03 UTC by Dmitry Kazakov
Modified: 2013-09-15 10:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-07-21 19:03:06 UTC
It was Krita Lime package under Kubuntu Precise: 2+git20130719+r74129-41-dk~precise1 

I was doing some random stuff in Krita: configuring and switching brushes, creating, opening and closing files in the same Krita instance, switching colors with various color selectors (including MyPaint one). Then suddenly, when I pressed M to see a MyPaint color selector again, Krita crashed whith the following backtrace:

Thread 1 (Thread 0x7f166fe11780 (LWP 2279)):
[KCrash Handler]
#6  QHash<int, QVariant>::findNode (this=0x6, akey=@0x7fff7fead77c: 6006, ahp=0x0) at /usr/include/qt4/QtCore/qhash.h:884
#7  0x00007f1659c21c9f in contains (akey=@0x7fff7fead77c: 6006, this=0x6) at /usr/include/qt4/QtCore/qhash.h:874
#8  KoResourceManager::resource (this=0x6, key=6006) at /build/buildd/krita-testing-2+git20130719+r74129-41/libs/flake/KoResourceManager_p.cpp:43
#9  0x00007f1659c2304d in KoCanvasResourceManager::resource (this=<optimized out>, key=<optimized out>) at /build/buildd/krita-testing-2+git20130719+r74129-41/libs/flake/KoCanvasResourceManager.cpp:62
#10 0x00007f162ab98214 in KisColorSelectorBase::colorSpace (this=0xbda82d0) at /build/buildd/krita-testing-2+git20130719+r74129-41/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_base.cpp:462
#11 0x00007f162ab7932f in KisMyPaintShadeSelector::paintEvent (this=0xbda82d0) at /build/buildd/krita-testing-2+git20130719+r74129-41/krita/plugins/extensions/dockers/advancedcolorselector/kis_my_paint_shade_selector.cpp:80
#12 0x00007f166de1e0f6 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#13 0x00007f166ddcd894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#14 0x00007f166ddd2713 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#15 0x00007f165ab1f2ae in KoApplication::notify (this=<optimized out>, receiver=0xbda82d0, event=0x7fff7feae3a0) at /build/buildd/krita-testing-2+git20130719+r74129-41/libs/main/KoApplication.cpp:556
#16 0x00007f166ea4ae9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007f166de19d96 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#18 0x00007f166dfeab58 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#19 0x00007f166de10ac0 in QWidgetPrivate::syncBackingStore() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#20 0x00007f166de1e60c in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#21 0x00007f166ddcd894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#22 0x00007f166ddd2713 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#23 0x00007f165ab1f2ae in KoApplication::notify (this=<optimized out>, receiver=0xbda82d0, event=0x2336400) at /build/buildd/krita-testing-2+git20130719+r74129-41/libs/main/KoApplication.cpp:556
#24 0x00007f166ea4ae9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#25 0x00007f166ea4ec6a in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#26 0x00007f166ea7cc30 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#27 0x00007f166de76bf8 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#28 0x00007f166ea49c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#29 0x00007f166ea49ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007f166ea4ef67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#31 0x00007f165b07ab5d in kdemain (argc=<optimized out>, argv=<optimized out>) at /build/buildd/krita-testing-2+git20130719+r74129-41/krita/main.cc:79
#32 0x00000000004086a4 in _start ()


I have such a feeling that while opening and closing files, something got accidentally deleted. I used trivial sRGB8 color space.
Comment 1 Halla Rempt 2013-09-15 09:50:00 UTC
I can confirm. It's easy enough to reproduce: open a file, press shift-m, close, open a file, press shift-m.

I suspect that the mypaint colorselector still has a pointer to the previous canvas.

#5  0x00007fcc50149234 in KoCanvasBase::resourceManager (this=0x26b4610) at /home/boud/kde/src/calligra/libs/flake/KoCanvasBase.cpp:91
#6  0x00007fcc1c5dff96 in KisColorSelectorBase::colorSpace (this=0x3fa1440) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_base.cpp:460
#7  0x00007fcc1c5c0b6c in KisMyPaintShadeSelector::paintEvent (this=0x3fa1440) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_my_paint_shade_selector.cpp:80
#8  0x00007fcc4c5b20fe in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#9  0x00007fcc4c56286c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#10 0x00007fcc4c566ceb in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#11 0x00007fcc52743e58 in KoApplication::notify (this=<optimized out>, receiver=0x3fa1440, event=0x7fff82cff7a0) at /home/boud/kde/src/calligra/libs/main/KoApplication.cpp:556
#12 0x00007fcc53b78d8e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#13 0x00007fcc4c5adcc4 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#14 0x00007fcc4c778168 in ?? () from /usr/lib64/libQtGui.so.4
#15 0x00007fcc4c77852e in ?? () from /usr/lib64/libQtGui.so.4
#16 0x00007fcc4c5dc0da in ?? () from /usr/lib64/libQtGui.so.4
#17 0x00007fcc4c5dd025 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x00007fcc4c6039d9 in ?? () from /usr/lib64/libQtGui.so.4
#19 0x00007fcc53b77adf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#20 0x00007fcc53b77d68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#21 0x00007fcc53b7ca08 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#22 0x00007fcc54113732 in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/boud/kde/src/calligra/krita/main.cc:79
#23 0x00007fcc4ae3da15 in __libc_start_main () from /lib64/libc.so.6
#24 0x0000000000400a11 in _start () at ../sysdeps/x86_64/start.S:123
Comment 2 Halla Rempt 2013-09-15 10:09:57 UTC
The other popup color selectors seem broken too: the 'c' one gives this:


#5  KisWeakSharedPtr (o=..., this=0x7fffbeb5e2d0) at /home/boud/kde/src/calligra/krita/image/kis_shared_ptr.h:261
#6  KisDoc2::image (this=0x5f2d720) at /home/boud/kde/src/calligra/krita/ui/kis_doc2.cc:506
#7  0x00007f7e200198a3 in KisView2::image (this=<optimized out>) at /home/boud/kde/src/calligra/krita/ui/kis_view2.cpp:567
#8  0x00007f7e1fe8b7a1 in KisCanvas2::image (this=<optimized out>) at /home/boud/kde/src/calligra/krita/ui/canvas/kis_canvas2.cpp:640
#9  0x00007f7df91fc0b4 in KisCommonColors::updateSettings (this=0x37246a0) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_common_colors.cpp:93
#10 0x00007f7df9216b20 in KisColorSelectorBase::updateSettings (this=0x44e4380) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_base.cpp:478
#11 0x00007f7df91f7a87 in KisColorPatches::updateSettings (this=0x44e4380) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_patches.cpp:251
#12 0x00007f7df91fc09d in KisCommonColors::updateSettings (this=0x44e4380) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_common_colors.cpp:91
#13 0x00007f7df91f0a65 in KisCommonColors::qt_static_metacall (_o=0x44e4380, _id=1, _a=0x7fffbeb5e830, _c=<optimized out>) at /home/boud/kde/build/calligra/krita/plugins/extensions/dockers/advancedcolorselector/moc_kis_common_colors.cpp:56
#14 0x00007f7e2084829f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#15 0x00007f7df91f4ca5 in KisColorSelectorNgDockerWidget::reactOnLayerChange (this=this@entry=0x44dfdf0) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_ng_docker_widget.cpp:214
#16 0x00007f7df91f5677 in KisColorSelectorNgDockerWidget::setCanvas (this=0x44dfdf0, canvas=<optimized out>) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_ng_docker_widget.cpp:139
#17 0x00007f7e1ce51b71 in KoCanvasControllerWidget::Private::activate (this=0x4b99340) at /home/boud/kde/src/calligra/libs/flake/KoCanvasControllerWidget.cpp:166
#18 0x00007f7e1ce69439 in KoToolManager::Private::attachCanvas (this=0x3e7de90, controller=0x5f2d720, controller@entry=0x5c44338) at /home/boud/kde/src/calligra/libs/flake/KoToolManager.cpp:527
#19 0x00007f7e1ce696df in KoToolManager::addController (this=0x3e7dde0, controller=0x5c44338) at /home/boud/kde/src/calligra/libs/flake/KoToolManager.cpp:798
#20 0x00007f7e20022d50 in KisView2::KisView2 (this=0x5b90f50, part=<optimized out>, doc=<optimized out>, parent=<optimized out>, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /home/boud/kde/src/calligra/krita/ui/kis_view2.cpp:269
#21 0x00007f7e1ff5901a in KisPart2::createViewInstance (this=0x6bf7680, parent=0x3413000) at /home/boud/kde/src/calligra/krita/ui/kis_part2.cpp:72
#22 0x00007f7e1f4c378a in KoPart::createView (this=0x6bf7680, parent=<optimized out>) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:234
#23 0x00007f7e1f4429ed in KoMainWindow::setRootDocument (this=0x3413000, doc=0x64e0700, rootPart=0x6bf7680) at /home/boud/kde/src/calligra/libs/main/KoMainWindow.cpp:484
#24 0x00007f7e1f4c4a6a in KoPart::deleteOpenPane (this=0x6bf7680, closing=<optimized out>) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:475
#25 0x00007f7e1f40e871 in KoDocument::openFile (this=0x64e0700) at /home/boud/kde/src/calligra/libs/main/KoDocument.cpp:1354
#26 0x00007f7e1f4c3b5d in KoPart::openFile (this=0x6bf7680) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:199
#27 0x00007f7e1f16c000 in ?? () from /usr/lib64/libkparts.so.4
#28 0x00007f7e1f16c5a4 in KParts::ReadOnlyPart::openUrl(KUrl const&) () from /usr/lib64/libkparts.so.4
#29 0x00007f7e1f40cb5a in KoDocument::openUrl (this=0x64e0700, _url=...) at /home/boud/kde/src/calligra/libs/main/KoDocument.cpp:986
#30 0x00007f7e1f4c324a in KoPart::openExistingFile (this=0x6bf7680, url=...) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:366
#31 0x00007f7e2084829f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#32 0x00007f7e1f4a3859 in openExistingFile (_t1=..., this=0x64e1980) at /home/boud/kde/build/calligra/libs/main/KoOpenPane.moc:118
#33 KoOpenPane::qt_static_metacall (_o=0x64e1980, _id=<optimized out>, _a=0x7fffbeb5fee0, _c=<optimized out>) at /home/boud/kde/build/calligra/libs/main/KoOpenPane.moc:63
#34 0x00007f7e2084829f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#35 0x00007f7e1f49f8c2 in KoDetailsPane::openUrl (this=<optimized out>, _t1=...) at /home/boud/kde/build/calligra/libs/main/KoDetailsPane.moc:119
#36 0x00007f7e1f4a547e in KoRecentDocumentsPane::openFile (this=0x82d3cf0, index=...) at /home/boud/kde/src/calligra/libs/main/KoRecentDocumentsPane.cpp:214
#37 0x00007f7e1f49f2fb in KoDetailsPane::openFile (this=0x82d3cf0) at /home/boud/kde/src/calligra/libs/main/KoDetailsPane.cpp:120
#38 0x00007f7e1f49f973 in KoDetailsPane::eventFilter (this=0x82d3cf0, watched=<optimized out>, e=0x7fffbeb60590) at /home/boud/kde/src/calligra/libs/main/KoDetailsPane.cpp:101
#39 0x00007f7e20832ef6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#40 0x00007f7e1921c83c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#41 0x00007f7e19221864 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#42 0x00007f7e1f3fde58 in KoApplication::notify (this=<optimized out>, receiver=0x6d614e0, event=0x7fffbeb60590) at /home/boud/kde/src/calligra/libs/main/KoApplication.cpp:556
#43 0x00007f7e20832d8e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#44 0x00007f7e192b8e8a in ?? () from /usr/lib64/libQtGui.so.4
#45 0x00007f7e192b92c1 in ?? () from /usr/lib64/libQtGui.so.4
#46 0x00007f7e192969f8 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#47 0x00007f7e192bd9d9 in ?? () from /usr/lib64/libQtGui.so.4
#48 0x00007f7e20831adf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#49 0x00007f7e20831d68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#50 0x00007f7e20836a08 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#51 0x00007f7e20dcd732 in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/boud/kde/src/calligra/krita/main.cc:79
#52 0x00007f7e17af7a15 in __libc_start_main () from /lib64/libc.so.6
#53 0x0000000000400a11 in _start () at ../sysdeps/x86_64/start.S:123
Comment 3 Halla Rempt 2013-09-15 10:10:50 UTC
The shift-i this:

Thread 1 (Thread 0x7f92ef277780 (LWP 28167)):
[KCrash Handler]
#5  0x00007f92eac7a234 in KoCanvasBase::resourceManager (this=0x24ebbf0) at /home/boud/kde/src/calligra/libs/flake/KoCanvasBase.cpp:91
#6  0x00007f92b2ea56e9 in KisColorSelector::resizeEvent (this=0x3daf9a0, e=0x7fffbbc78030) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector.cpp:224
#7  0x00007f92b2ea4c0e in KisColorSelector::setConfiguration (this=this@entry=0x3daf9a0, conf=...) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector.cpp:135
#8  0x00007f92b2ea51e9 in KisColorSelector::updateSettings (this=0x3daf9a0) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector.cpp:147
#9  0x00007f92b2ec1b20 in KisColorSelectorBase::updateSettings (this=0x479cdc0) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_base.cpp:478
#10 0x00007f92b2ea4f69 in KisColorSelector::updateSettings (this=0x479cdc0) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector.cpp:145
#11 0x00007f92b2e9afd9 in qt_static_metacall (_o=0x479cdc0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /home/boud/kde/build/calligra/krita/plugins/extensions/dockers/advancedcolorselector/moc_kis_color_selector.cpp:54
#12 KisColorSelector::qt_static_metacall (_o=0x479cdc0, _c=<optimized out>, _id=1, _a=<optimized out>) at /home/boud/kde/build/calligra/krita/plugins/extensions/dockers/advancedcolorselector/moc_kis_color_selector.cpp:47
#13 0x00007f92ee6bf29f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#14 0x00007f92b2e996be in settingsChanged (this=0x479c9f0) at /home/boud/kde/build/calligra/krita/plugins/extensions/dockers/advancedcolorselector/moc_kis_color_selector_container.cpp:114
#15 KisColorSelectorContainer::qt_static_metacall (_o=0x479c9f0, _id=1, _a=<optimized out>, _c=<optimized out>) at /home/boud/kde/build/calligra/krita/plugins/extensions/dockers/advancedcolorselector/moc_kis_color_selector_container.cpp:57
#16 0x00007f92ee6bf29f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#17 0x00007f92b2e9fca5 in KisColorSelectorNgDockerWidget::reactOnLayerChange (this=this@entry=0x479e3f0) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_ng_docker_widget.cpp:214
#18 0x00007f92b2ea0677 in KisColorSelectorNgDockerWidget::setCanvas (this=0x479e3f0, canvas=<optimized out>) at /home/boud/kde/src/calligra/krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_ng_docker_widget.cpp:139
#19 0x00007f92eacc8b71 in KoCanvasControllerWidget::Private::activate (this=0x4817ad0) at /home/boud/kde/src/calligra/libs/flake/KoCanvasControllerWidget.cpp:166
#20 0x00007f92eace0439 in KoToolManager::Private::attachCanvas (this=0x40e0ce0, controller=0x15, controller@entry=0x5ad3e78) at /home/boud/kde/src/calligra/libs/flake/KoToolManager.cpp:527
#21 0x00007f92eace06df in KoToolManager::addController (this=0x40e0b40, controller=0x5ad3e78) at /home/boud/kde/src/calligra/libs/flake/KoToolManager.cpp:798
#22 0x00007f92ede99d50 in KisView2::KisView2 (this=0x61eeb20, part=<optimized out>, doc=<optimized out>, parent=<optimized out>, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /home/boud/kde/src/calligra/krita/ui/kis_view2.cpp:269
#23 0x00007f92eddd001a in KisPart2::createViewInstance (this=0x3f891a0, parent=0x36c6830) at /home/boud/kde/src/calligra/krita/ui/kis_part2.cpp:72
#24 0x00007f92ed33a78a in KoPart::createView (this=0x3f891a0, parent=<optimized out>) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:234
#25 0x00007f92ed2b99ed in KoMainWindow::setRootDocument (this=0x36c6830, doc=0x81ab770, rootPart=0x3f891a0) at /home/boud/kde/src/calligra/libs/main/KoMainWindow.cpp:484
#26 0x00007f92ed33ba6a in KoPart::deleteOpenPane (this=0x3f891a0, closing=<optimized out>) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:475
#27 0x00007f92ed285871 in KoDocument::openFile (this=0x81ab770) at /home/boud/kde/src/calligra/libs/main/KoDocument.cpp:1354
#28 0x00007f92ed33ab5d in KoPart::openFile (this=0x3f891a0) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:199
#29 0x00007f92ecfe3000 in ?? () from /usr/lib64/libkparts.so.4
#30 0x00007f92ecfe35a4 in KParts::ReadOnlyPart::openUrl(KUrl const&) () from /usr/lib64/libkparts.so.4
#31 0x00007f92ed283b5a in KoDocument::openUrl (this=0x81ab770, _url=...) at /home/boud/kde/src/calligra/libs/main/KoDocument.cpp:986
#32 0x00007f92ed33a24a in KoPart::openExistingFile (this=0x3f891a0, url=...) at /home/boud/kde/src/calligra/libs/main/KoPart.cpp:366
#33 0x00007f92ee6bf29f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#34 0x00007f92ed31a859 in openExistingFile (_t1=..., this=0x81cdc50) at /home/boud/kde/build/calligra/libs/main/KoOpenPane.moc:118
#35 KoOpenPane::qt_static_metacall (_o=0x81cdc50, _id=<optimized out>, _a=0x7fffbbc79d20, _c=<optimized out>) at /home/boud/kde/build/calligra/libs/main/KoOpenPane.moc:63
#36 0x00007f92ee6bf29f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#37 0x00007f92ed3168c2 in KoDetailsPane::openUrl (this=<optimized out>, _t1=...) at /home/boud/kde/build/calligra/libs/main/KoDetailsPane.moc:119
#38 0x00007f92ed31c47e in KoRecentDocumentsPane::openFile (this=0x3b35da0, index=...) at /home/boud/kde/src/calligra/libs/main/KoRecentDocumentsPane.cpp:214
#39 0x00007f92ed3162fb in KoDetailsPane::openFile (this=0x3b35da0) at /home/boud/kde/src/calligra/libs/main/KoDetailsPane.cpp:120
#40 0x00007f92ed316973 in KoDetailsPane::eventFilter (this=0x3b35da0, watched=<optimized out>, e=0x7fffbbc7a3d0) at /home/boud/kde/src/calligra/libs/main/KoDetailsPane.cpp:101
#41 0x00007f92ee6a9ef6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#42 0x00007f92e709383c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#43 0x00007f92e7098864 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#44 0x00007f92ed274e58 in KoApplication::notify (this=<optimized out>, receiver=0x70225e0, event=0x7fffbbc7a3d0) at /home/boud/kde/src/calligra/libs/main/KoApplication.cpp:556
#45 0x00007f92ee6a9d8e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#46 0x00007f92e712fe8a in ?? () from /usr/lib64/libQtGui.so.4
#47 0x00007f92e71302c1 in ?? () from /usr/lib64/libQtGui.so.4
#48 0x00007f92e710d9f8 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#49 0x00007f92e71349d9 in ?? () from /usr/lib64/libQtGui.so.4
#50 0x00007f92ee6a8adf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#51 0x00007f92ee6a8d68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#52 0x00007f92ee6ada08 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#53 0x00007f92eec44732 in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/boud/kde/src/calligra/krita/main.cc:79
#54 0x00007f92e596ea15 in __libc_start_main () from /lib64/libc.so.6
#55 0x0000000000400a11 in _start () at ../sysdeps/x86_64/start.S:123
Comment 4 Halla Rempt 2013-09-15 10:34:33 UTC
Git commit b8624bd4161d77e5dd8a4272b2e5c525c79ae161 by Boudewijn Rempt.
Committed on 15/09/2013 at 10:33.
Pushed by rempt into branch 'master'.

set/unset the canvas on canvas change on the color popups

M  +11   -0    krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_base.cpp
M  +1    -1    krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_base.h
M  +1    -1    krita/plugins/extensions/dockers/advancedcolorselector/kis_color_selector_container.cpp
M  +7    -1    krita/plugins/extensions/dockers/advancedcolorselector/kis_minimal_shade_selector.cpp
M  +1    -0    krita/plugins/extensions/dockers/advancedcolorselector/kis_minimal_shade_selector.h

http://commits.kde.org/calligra/b8624bd4161d77e5dd8a4272b2e5c525c79ae161